#!/usr/bin/env bash
floating_ip="$1"
openssl_conf="${OPENSSL_CONF:-NOTFOUND}"

for path in /etc/ssl/openssl.cnf /etc/pki/tls/openssl.cnf; do
  if [[ -f "$path" ]]; then openssl_conf="$path"; break; fi
done

openssl req -newkey rsa:4096 -nodes -x509 -days 90 \
  -subj "/C=US/ST=Illinois/L=Chicago/O=Chameleon/CN=JupyterHub Appliance" \
  -config <(cat "$openssl_conf" <(printf "\n[SAN]\nsubjectAltName=IP:$floating_ip")) \
  -out /srv/jupyterhub/nginx/default.crt \
  -keyout /srv/jupyterhub/nginx/default.key